#/bin/bash

. /var/log/copfilter/default/etc/global_settings
TMPDIR=/tmp/clamdatabases
chmod 0644 $TMPDIR/*
LOGFILE="$1"
FILES=`ls $TMPDIR`
for FILE in $FILES; do
$BASEDIR/opt/clamav/default/bin/clamscan --quiet --database=$TMPDIR/$FILE
FEHLER=$?
if [ $FEHLER == 0 ];then
	if [ -f $BASEDIR/opt/clamav/virdb/$FILE ]; then
		MD5_TMPDB=`md5sum $TMPDIR/$FILE | awk '{print $1}'`
		MD5_DB=`md5sum $BASEDIR/opt/clamav/virdb/$FILE | awk '{print $1}'`
		if [ $MD5_TMPDB != $MD5_DB ]; then
			cp -pf $TMPDIR/$FILE $BASEDIR/opt/clamav/virdb/
			ERG=$?
			if [ ! $ERG == 0 ]; then
				echo "database $FILE copy failed..." >>$LOGFILE
				echo "check your databases!" >>$LOGFILE
			fi
		fi
	else
		cp -pf $TMPDIR/$FILE $BASEDIR/opt/clamav/virdb/
			ERG=$?
			if [ ! $ERG == 0 ]; then
				echo "database $FILE copy failed..." >>$LOGFILE
				echo "check your databases!" >>$LOGFILE
			fi
	fi
else
	echo "database $FILE is corrupted! deleting..." >>$LOGFILE
	rm -f $TMPDIR/$FILE
fi
#echo $FEHLER
done
